com.rscja.team.qcom.deviceapi

## Class UHFProtocolParseByJava

- java.lang.Object
- - com.rscja.team.qcom.deviceapi.UHFProtocolParseByJava

- All Implemented Interfaces:
    IUHFProtocolParse
  Direct Known Subclasses:
    UHFProtocolParseBleByJava_qcom, UHFProtocolParseUrAxBase_qcom, UHFProtocolParseUrxByJava_qcom, UHFProtocolParseUSBByJava_qcom

      public class UHFProtocolParseByJava
      extends java.lang.Object
      implements IUHFProtocolParse

  java 解析R2\R5\R6 uhf协议
  Author:
    zhoupin

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `UHFProtocolParseByJava()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `byte[]` | `barcodeScanTimeOutSend()`
    `byte[]` | `blinkOfLedSendData(int duration, int interval, int count)`
    `byte[]` | `blockEraseDataSendData(java.lang.String accessPwd, char filterBank, int filterPtr, int filterCnt, java.lang.String filterData, char bank, int ptr, char cnt)`
    `byte[]` | `blockWriteDataSendData(java.lang.String accessPwd, char filterBank, int filterPtr, int filterCnt, java.lang.String filterData, char bank, int ptr, char cnt, java.lang.String writeData)`
    `byte[]` | `btDeleteAllTagToFlashSendData()`
    `byte[]` | `btGetAllTagNumFromFlashSendData()`
    `byte[]` | `btGetNewTagNumFromFlashSendData()`
    `byte[]` | `btGetTagDataFromFlashSendData()`
    `byte[]` | `closeLedSendData()`
    `byte[]` | `enableBarcodeACK(boolean enalbe)`
    `byte[]` | `GBTagLockSendData(java.lang.String pszuAccessPwd, char ufBank, int ufPtr, int ufCnt, java.lang.String ufData, char jmemory, char jconfig, char jaction)`
    `java.lang.String` | `generateLockCode(java.util.ArrayList<java.lang.Integer> lockBank, int lockMode)` 获取锁标签的锁定码
    `byte[]` | `getBatterySendData()` 获取电量的发送数据
    `byte[]` | `getBeepSendData(boolean isOpen)` 获取设置蜂鸣器的发送数据
    `byte[]` | `getCWSendData()`
    `byte[]` | `getEPCTIDModeSendData(char rev1, char rev2)`
    `byte[]` | `getFastIDSendData()`
    `byte[]` | `getFrequencyModeSendData()`
    `byte[]` | `getGen2SendData()`
    `static UHFProtocolParseByJava` | `getInstance()`
    `byte[]` | `getInventorySingleTagSendData()` 获取开启单次盘点标签的发送数据
    `byte[]` | `getInventorySingleTagSendData(byte[] data)`
    `byte[]` | `getKillSendData(java.lang.String accessPwd, int filterBank, int filterPtr, int filterCnt, java.lang.String filterData)` 获取销毁标签的发送数据
    `byte[]` | `getLockSendData(java.lang.String accessPwd, int filterBank, int filterPtr, int filterCnt, java.lang.String filterData, java.lang.String lockCode)` 获取锁标签需要发送的数据
    `byte[]` | `getParameterSendData(byte[] id)`
    `byte[]` | `getPowerSendData()` 获取功率的发送数据
    `byte[]` | `getProtocolSendData()` 获取协议需要发送数据
    `byte[]` | `getReaderAwaitSleepTimeSendData()`
    `byte[]` | `getReadSendData(java.lang.String accessPwd, int filterBank, int filterPtr, int filterCnt, java.lang.String filterData, int bank, int ptr, int cnt)` 获取读标签的发送数据
    `byte[]` | `getReadTagSendData()` 获取在循环盘点标签的模式中,读取缓存标签的发送数据
    `byte[]` | `getRFLinkSendData()`
    `byte[]` | `getScanBarcodeInBlinkModeSendData()`
    `byte[]` | `getScanBarcodeInTriggleModeSendData()`
    `byte[]` | `getScanBarcodeSendData()` 获取扫描条码的发送数据
    `byte[]` | `getSetSoftResetSendData()`
    `byte[]` | `getStartInventoryTagSendData()` 获取循环盘点标签的发送数据
    `byte[]` | `getStartInventoryTagSendData(byte[] data)`
    `byte[]` | `getSTM32VersionSendData()`
    `byte[]` | `getStopInventorySendData()` 获取停止循环盘点标签的发送数据
    `byte[]` | `getStopScanBarcodeInBlinkModeSendData()`
    `byte[]` | `getStopScanBarcodeInTriggleModeSendData()`
    `byte[]` | `getTagfocusSendData()`
    `byte[]` | `getTemperatureSendData()` 获取模块温度
    `byte[]` | `getUserSettingSendData(byte key)`
    `byte[]` | `getVersionSendData()`
    `byte[]` | `getWriteSendData(java.lang.String accessPwd, int filterBank, int filterPtr, int filterCnt, java.lang.String filterData, int bank, int ptr, int cnt, java.lang.String writeData)` 获取写标签的发送数据
    `byte[]` | `isBarcodeDataContainSSIIDSend()`
    `byte[]` | `isBarcodeDataContainTypeSend()`
    `byte[]` | `makeSendData(int cmd, byte[] databuf)`
    `byte[]` | `openLedSendData()`
    `byte[]` | `parseBarcodeData(byte[] inData)` 解析扫描条码返回的数据
    `int` | `parseBatteryData(byte[] inData)` 解析获取电量返回的数据
    `boolean` | `parseBeepData(byte[] inData)` 解析设置蜂鸣器返回的数据
    `boolean` | `parseBlinkOfLedData(byte[] inData)`
    `boolean` | `parseBlockEraseDataData(byte[] inData)`
    `boolean` | `parseBlockWriteData(byte[] inData)`
    `boolean` | `parseBtDeleteAllTagToFlashData(byte[] inData)`
    `int` | `parseBtGetAllTagNumFromFlashData(byte[] inData)`
    `int` | `parseBtGetNewTagNumFromFlashData(byte[] indata)`
    `byte[]` | `parseBtGetTagDataFromFlashData(byte[] inData)`
    `boolean` | `parseCloseLedData(byte[] inData)`
    `UHFTAGInfo` | `parseContinuousInventoryTagData(byte[] inData)` 循环盘点标签返回的数据
    `UHFTAGInfo` | `parseContinuousInventoryTagData(UHFDataHandleBase.CMDInfo inData, TagInfoRule tagInfoRule)`
    `boolean` | `parseFastIdData(byte[] inData)`
    `boolean` | `parseGBTagLockData(byte[] inData)`
    `int` | `parseGetCWData(byte[] inData)`
    `byte[]` | `parseGetEPCTIDModeData(byte[] inData)`
    `int` | `parseGetFastIdData(byte[] inData)`
    `byte` | `parseGetFrequencyModeData(byte[] inData)`
    `byte[]` | `parseGetGen2Data(byte[] inData)`
    `byte[]` | `parseGetParameterData(byte[] inData, byte[] id)`
    `java.util.List<AntennaPowerEntity>` | `parseGetPowerAllData(byte[] inData)`
    `int` | `parseGetPowerData(byte[] inData)` 解析获取功率返回的数据
    `int` | `parseGetProtocolData(byte[] inData)` 解析获取协议返回的数据
    `int` | `parseGetReaderAwaitSleepTimeData(byte[] inData)`
    `int` | `parseGetRFLinkData(byte[] inData)`
    `int` | `parseGetTagfocusData(byte[] inData)`
    `byte[]` | `parseGetUserSettingData(byte[] inData)`
    `UHFTAGInfo` | `parseInventorySingleTagData(byte[] inData)` 解析单次盘点标签返回的数据
    `int` | `parseisBarcodeDataContainSSIIDData(byte[] inData)`
    `int` | `parseisBarcodeDataContainTypeData(byte[] inData)`
    `int` | `parseisBarcodeScanTimeOutData(byte[] inData)`
    `boolean` | `parseKillData(byte[] inData)` 解析销毁标签返回的数据
    `boolean` | `parseLockData(byte[] inData)` 解析锁标签返回的数据
    `boolean` | `parseOpenLedData(byte[] inData)`
    `java.lang.String` | `parseReadData(byte[] inData)` 解析读标签返回的数据
    `java.util.List<UHFTAGInfo>` | `parseReadTagData_EPC(byte[] inData)` 解析循环盘点标签返回的标签数据
    `java.util.List<UHFTAGInfo>` | `parseReadTagDataEPC_TID_USER(UHFDataHandleBase.CMDInfo inData, TagInfoRule tagInfoRule)`
    `UHFTAGInfo` | `parserUhfTagBuff_EPC_TID_USER(byte[] tagsBuff, boolean isContainAnt)`
    `static UHFTAGInfo` | `parserUhfTagBuff_EPC_TID_USER(byte[] tagsBuff, TagInfoRule tagInfoRule)`
    `boolean` | `parseScanBarcodeInBlinkModeData(byte[] inData)`
    `boolean` | `parseScanBarcodeInTriggleModeData(byte[] inData)`
    `boolean` | `parseSetBarcodeSSIDData(byte[] inData)`
    `boolean` | `parseSetBarcodeTypeData(byte[] inData)`
    `boolean` | `parseSetBeepTimeOfDuration(byte[] inData)`
    `boolean` | `parseSetCWData(byte[] inData)`
    `boolean` | `parseSetEPCAndTIDModeData(byte[] inData)`
    `boolean` | `parseSetEPCAndTIDUserModeData(byte[] inData)`
    `boolean` | `parseSetEPCModeData(byte[] inData)`
    `boolean` | `parseSetFilterData(byte[] inData)`
    `boolean` | `parseSetFrequencyModeData(byte[] inData)`
    `boolean` | `parseSetGen2Data(byte[] inData)`
    `boolean` | `parseSetJumpFrequencyData(byte[] inData)`
    `boolean` | `parseSetParameterData(byte[] inData, byte[] id, byte[] value)`
    `boolean` | `parseSetPowerData(byte[] inData)` 解析设置功率返回的数据
    `boolean` | `parseSetPowerOnDynamicData(byte[] inData)`
    `boolean` | `parseSetProtocolData(byte[] inData)` 解析设置协议返回的数据
    `boolean` | `parseSetR6WorkModeData(byte[] inData)`
    `boolean` | `parseSetReaderAwaitSleepTimeData(byte[] inData)`
    `boolean` | `parseSetRFLinkData(byte[] inData)`
    `boolean` | `parseSetSoftResetData(byte[] inData)`
    `boolean` | `parseSetTagfocusData(byte[] inData)`
    `boolean` | `parseSetUserSettingData(byte[] inData)`
    `boolean` | `parseStartInventoryTagData(byte[] inData)` 解析开始盘点标签返回的数据
    `java.lang.String` | `parseSTM32VersionData(byte[] inData)`
    `boolean` | `parseStopInventoryData(byte[] inData)` 解析停止盘点标签返回的数据
    `boolean` | `parseStopScanBarcodeInBlinkModeData(byte[] inData)`
    `boolean` | `parseStopScanBarcodeInTriggleModeData(byte[] inData)`
    `int` | `parseTemperatureData(byte[] inData)` 解析模块温度返回的数据
    `boolean` | `parseUHFJump2BootData(byte[] inData)`
    `boolean` | `parseUHFStartUpdateData(byte[] inData)`
    `boolean` | `parseUHFStopUpdateData(byte[] inData)`
    `boolean` | `parseUHFUpdatingData(byte[] inData)`
    `java.lang.String` | `parseVersionData(byte[] inData)`
    `boolean` | `parseWriteData(byte[] inData)` 解析写标签返回的数据
    `byte[]` | `requestGetBeepSendData()`
    `byte[]` | `requestGetEx10SDKFirmware()`
    `byte[]` | `requestGetFastInventoryMode()`
    `byte[]` | `requestInventoryTempTag(byte[] powerValue)`
    `byte[]` | `requestSetFastInventoryMode(boolean enable)`
    `java.lang.String` | `responseGetEx10SDKFirmware(byte[] data)`
    `int` | `responseGetFastInventoryMode(byte[] data)`
    `boolean` | `responseSetFastInventoryMode(byte[] data)`
    `int` | `respparseBeepData(byte[] inData)`
    `byte[]` | `setBarcodeSSIID(boolean barcodeType)`
    `byte[]` | `setBarcodeType(boolean barcodeType)`
    `byte[]` | `setBeepTimeOfDurationSendData(int time)`
    `byte[]` | `setCWSendData(char flag)`
    `byte[]` | `setEPCAndTIDModeSendData()`
    `byte[]` | `setEPCAndTIDUserModeSendData(int user_prt, int user_len)`
    `byte[]` | `setEPCAndTIDUserModeSendData(int mode, int user_prt, int user_len)`
    `byte[]` | `setEPCModeSendData()`
    `byte[]` | `setFastIdSendData(int flag)`
    `byte[]` | `setFilterSendData(char ufBank, int ufPtr, int datalen, java.lang.String databuf)`
    `byte[]` | `setFrequencyModeSendData(int freMode)`
    `byte[]` | `setGen2SendData(char Target, char Action, char T, char Q_Q, char StartQ, char MinQ, char MaxQ, char D_D, char C_C, char P_P, char Sel, char Session, char G_G, char LF)`
    `byte[]` | `setIndexData(byte[] index)`
    `byte[]` | `setInventoryMessageModeSendData()`
    `byte[]` | `setJumpFrequencySendData(int Freqbuf)`
    `byte[]` | `setParameterSendData(byte[] id, byte[] value)`
    `byte[]` | `setPowerOnDynamicSendData(int power)`
    `byte[]` | `setPowerSendData(int power)` 获取设置功率的发送数据
    `byte[]` | `setPowerSendData(int ant, int power)`
    `byte[]` | `setProtocolSendData(int protocol)` 获取设置协议的发送数据
    `byte[]` | `setR6WorkmodeSendData(char flag)`
    `byte[]` | `setReaderAwaitSleepTimeSendData(char time)`
    `byte[]` | `setRFLinkSendData(int mode)`
    `byte[]` | `setTagfocusSendData(char flag)`
    `byte[]` | `setUserSettingSendData(byte key, byte[] value)`
    `byte[]` | `stop2DSendData()`
    `byte[]` | `uhfJump2BootSendData(char flag)`
    `byte[]` | `uhfStartUpdateSendData()`
    `byte[]` | `UHFStopUpdateSendData()`
    `byte[]` | `uhfUpdatingSendData(byte[] buf)`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### UHFProtocolParseByJava

          public UHFProtocolParseByJava()

  - ### Method Detail

    - #### getInstance

          public static UHFProtocolParseByJava getInstance()

    - #### requestGetBeepSendData

          public byte[] requestGetBeepSendData()

    - #### respparseBeepData

          public int respparseBeepData(byte[] inData)

    - #### getBeepSendData

          public byte[] getBeepSendData(boolean isOpen)

      Description copied from interface: `IUHFProtocolParse`
      获取设置蜂鸣器的发送数据
      Specified by:
        `getBeepSendData` in interface `IUHFProtocolParse`
      Parameters:
        `isOpen` - true:表示打开蜂鸣器， false:表示关闭蜂鸣器
      Returns:
        发送的数据

    - #### setBeepTimeOfDurationSendData

          public byte[] setBeepTimeOfDurationSendData(int time)

      Specified by:
        `setBeepTimeOfDurationSendData` in interface `IUHFProtocolParse`

    - #### parseBeepData

          public boolean parseBeepData(byte[] inData)

      Description copied from interface: `IUHFProtocolParse`
      解析设置蜂鸣器返回的数据
      Specified by:
        `parseBeepData` in interface `IUHFProtocolParse`
      Parameters:
        `inData` - 设置蜂鸣器返回的原始数据
      Returns:
        true: 设置成功 ,flase:设置设备

    - #### parseSetBeepTimeOfDuration

          public boolean parseSetBeepTimeOfDuration(byte[] inData)

      Specified by:
        `parseSetBeepTimeOfDuration` in interface `IUHFProtocolParse`

    - #### getScanBarcodeSendData

          public byte[] getScanBarcodeSendData()

      Description copied from interface: `IUHFProtocolParse`
      获取扫描条码的发送数据
      Specified by:
        `getScanBarcodeSendData` in interface `IUHFProtocolParse`
      Returns:
        发送的数据

    - #### stop2DSendData

          public byte[] stop2DSendData()

    - #### getScanBarcodeInBlinkModeSendData

          public byte[] getScanBarcodeInBlinkModeSendData()

    - #### parseScanBarcodeInBlinkModeData

          public boolean parseScanBarcodeInBlinkModeData(byte[] inData)

    - #### getScanBarcodeInTriggleModeSendData

          public byte[] getScanBarcodeInTriggleModeSendData()

    - #### parseScanBarcodeInTriggleModeData

          public boolean parseScanBarcodeInTriggleModeData(byte[] inData)

    - #### getStopScanBarcodeInBlinkModeSendData

          public byte[] getStopScanBarcodeInBlinkModeSendData()

    - #### parseStopScanBarcodeInBlinkModeData

          public boolean parseStopScanBarcodeInBlinkModeData(byte[] inData)

    - #### getStopScanBarcodeInTriggleModeSendData

          public byte[] getStopScanBarcodeInTriggleModeSendData()

    - #### parseStopScanBarcodeInTriggleModeData

          public boolean parseStopScanBarcodeInTriggleModeData(byte[] inData)

    - #### parseBarcodeData

          public byte[] parseBarcodeData(byte[] inData)

      Description copied from interface: `IUHFProtocolParse`
      解析扫描条码返回的数据
      Specified by:
        `parseBarcodeData` in interface `IUHFProtocolParse`
      Parameters:
        `inData` - 蓝牙返回的条码原始数据
      Returns:
        返回解析后的条码数据

    - #### setBarcodeType

          public byte[] setBarcodeType(boolean barcodeType)

    - #### parseSetBarcodeTypeData

          public boolean parseSetBarcodeTypeData(byte[] inData)

    - #### setBarcodeSSIID

          public byte[] setBarcodeSSIID(boolean barcodeType)

    - #### parseSetBarcodeSSIDData

          public boolean parseSetBarcodeSSIDData(byte[] inData)

    - #### barcodeScanTimeOutSend

          public byte[] barcodeScanTimeOutSend()

    - #### parseisBarcodeScanTimeOutData

          public int parseisBarcodeScanTimeOutData(byte[] inData)

    - #### isBarcodeDataContainTypeSend

          public byte[] isBarcodeDataContainTypeSend()

    - #### parseisBarcodeDataContainTypeData

          public int parseisBarcodeDataContainTypeData(byte[] inData)

    - #### isBarcodeDataContainSSIIDSend

          public byte[] isBarcodeDataContainSSIIDSend()

    - #### enableBarcodeACK

          public byte[] enableBarcodeACK(boolean enalbe)

    - #### parseisBarcodeDataContainSSIIDData

          public int parseisBarcodeDataContainSSIIDData(byte[] inData)

    - #### setParameterSendData

          public byte[] setParameterSendData(byte[] id,
                                             byte[] value)

    - #### parseSetParameterData

          public boolean parseSetParameterData(byte[] inData,
                                               byte[] id,
                                               byte[] value)

    - #### getParameterSendData

          public byte[] getParameterSendData(byte[] id)

    - #### parseGetParameterData

          public byte[] parseGetParameterData(byte[] inData,
                                              byte[] id)

    - #### getBatterySendData

          public byte[] getBatterySendData()

      Description copied from interface: `IUHFProtocolParse`
      获取电量的发送数据
      Specified by:
        `getBatterySendData` in interface `IUHFProtocolParse`
      Returns:
        发送的数据

    - #### parseBatteryData

          public int parseBatteryData(byte[] inData)

      Description copied from interface: `IUHFProtocolParse`
      解析获取电量返回的数据
      Specified by:
        `parseBatteryData` in interface `IUHFProtocolParse`
      Parameters:
        `inData` - 蓝牙返回的原始数据
      Returns:
        返回解析后的电量

    - #### getWriteSendData

          public byte[] getWriteSendData(java.lang.String accessPwd,
                                         int filterBank,
                                         int filterPtr,
                                         int filterCnt,
                                         java.lang.String filterData,
                                         int bank,
                                         int ptr,
                                         int cnt,
                                         java.lang.String writeData)

      Description copied from interface: `IUHFProtocolParse`
      获取写标签的发送数据
      Specified by:
        `getWriteSendData` in interface `IUHFProtocolParse`
      Parameters:
        `accessPwd` - 标签的ACCESS PASSWORD（4字 节）
        `filterBank` - 过滤的数据块
        `filterPtr` - 过滤的起始地址(单位:bit)
        `filterCnt` - 过滤的数据长度(单位:bit)
        `filterData` - 过滤的数据
        `bank` - 写入的数据块
        `ptr` - 写入的起始地址(单位:字)
        `cnt` - 写入的数据长度(单位:字)
        `writeData` - 写入的数据
      Returns:
        发送的数据

    - #### parseWriteData

          public boolean parseWriteData(byte[] inData)

      Description copied from interface: `IUHFProtocolParse`
      解析写标签返回的数据
      Specified by:
        `parseWriteData` in interface `IUHFProtocolParse`
      Parameters:
        `inData` - 蓝牙返回的原始数据
      Returns:
        true:写标签成功 false:写标签失败

    - #### getReadSendData

          public byte[] getReadSendData(java.lang.String accessPwd,
                                        int filterBank,
                                        int filterPtr,
                                        int filterCnt,
                                        java.lang.String filterData,
                                        int bank,
                                        int ptr,
                                        int cnt)

      Description copied from interface: `IUHFProtocolParse`
      获取读标签的发送数据
      Specified by:
        `getReadSendData` in interface `IUHFProtocolParse`
      Parameters:
        `accessPwd` - 访问密码
        `filterBank` - 过滤的数据块
        `filterPtr` - 过滤的起始地址(单位:bit)
        `filterCnt` - 过滤的数据长度(单位:bit)
        `filterData` - 过滤的数据
        `bank` - 读取的数据块
        `ptr` - 读取的起始地址(单位:字)
        `cnt` - 读取的数据长度(单位:字)
      Returns:
        发送的数据

    - #### parseReadData

          public java.lang.String parseReadData(byte[] inData)

      Description copied from interface: `IUHFProtocolParse`
      解析读标签返回的数据
      Specified by:
        `parseReadData` in interface `IUHFProtocolParse`
      Parameters:
        `inData` - 蓝牙返回的原始数据
      Returns:
        返回解析后的标签数据

    - #### getLockSendData

          public byte[] getLockSendData(java.lang.String accessPwd,
                                        int filterBank,
                                        int filterPtr,
                                        int filterCnt,
                                        java.lang.String filterData,
                                        java.lang.String lockCode)

      Description copied from interface: `IUHFProtocolParse`
      获取锁标签需要发送的数据
      Specified by:
        `getLockSendData` in interface `IUHFProtocolParse`
      Parameters:
        `accessPwd` - 标签的ACCESS PASSWORD（4字 节）
        `filterBank` - 标签的存储区
        `filterPtr` - 过滤起始地址(单位:bit)
        `filterCnt` - 过滤数据长度(单位:bit)
        `filterData` - 过滤数据
        `lockCode` - 锁定码
      Returns:
        发送的数据

    - #### parseLockData

          public boolean parseLockData(byte[] inData)

      Description copied from interface: `IUHFProtocolParse`
      解析锁标签返回的数据
      Specified by:
        `parseLockData` in interface `IUHFProtocolParse`
      Parameters:
        `inData` - 蓝牙返回的原始数据
      Returns:
        true:锁成功， false:锁失败

    - #### generateLockCode

          public java.lang.String generateLockCode(java.util.ArrayList<java.lang.Integer> lockBank,
                                                   int lockMode)

      Description copied from interface: `IUHFProtocolParse`
      获取锁标签的锁定码
      Specified by:
        `generateLockCode` in interface `IUHFProtocolParse`
      Parameters:
        `lockBank` - 要锁定的区域
        `lockMode` - 锁定的模式
      Returns:
        返回null 表示失败

    - #### getKillSendData

          public byte[] getKillSendData(java.lang.String accessPwd,
                                        int filterBank,
                                        int filterPtr,
                                        int filterCnt,
                                        java.lang.String filterData)

      Description copied from interface: `IUHFProtocolParse`
      获取销毁标签的发送数据
      Specified by:
        `getKillSendData` in interface `IUHFProtocolParse`
      Parameters:
        `accessPwd` - 标签的ACCESS PASSWORD（4字 节）
        `filterBank` - 标签的存储区
        `filterPtr` - 过滤起始地址(单位:bit)
        `filterCnt` - 过滤数据长度(单位:bit)
        `filterData` - 过滤数据
      Returns:
        发送的数据

    - #### parseKillData

          public boolean parseKillData(byte[] inData)

      Description copied from interface: `IUHFProtocolParse`
      解析销毁标签返回的数据
      Specified by:
        `parseKillData` in interface `IUHFProtocolParse`
      Parameters:
        `inData` - 蓝牙返回的原始数据
      Returns:
        true:销毁标签成功， false:销毁标签失败

    - #### getInventorySingleTagSendData

          public byte[] getInventorySingleTagSendData(byte[] data)

    - #### getInventorySingleTagSendData

          public byte[] getInventorySingleTagSendData()

      Description copied from interface: `IUHFProtocolParse`
      获取开启单次盘点标签的发送数据
      Specified by:
        `getInventorySingleTagSendData` in interface `IUHFProtocolParse`
      Returns:
        发送的数据

    - #### parseInventorySingleTagData

          public UHFTAGInfo parseInventorySingleTagData(byte[] inData)

      Description copied from interface: `IUHFProtocolParse`
      解析单次盘点标签返回的数据
      Specified by:
        `parseInventorySingleTagData` in interface `IUHFProtocolParse`
      Returns:
        返回单次盘点标签的数据

    - #### parseContinuousInventoryTagData

          public UHFTAGInfo parseContinuousInventoryTagData(byte[] inData)

      Description copied from interface: `IUHFProtocolParse`
      循环盘点标签返回的数据
      Specified by:
        `parseContinuousInventoryTagData` in interface `IUHFProtocolParse`
      Returns:
        返回循环盘点标签的数据

    - #### parseContinuousInventoryTagData

          public UHFTAGInfo parseContinuousInventoryTagData(UHFDataHandleBase.CMDInfo inData,
                                                            TagInfoRule tagInfoRule)

    - #### getStartInventoryTagSendData

          public byte[] getStartInventoryTagSendData(byte[] data)

    - #### getStartInventoryTagSendData

          public byte[] getStartInventoryTagSendData()

      Description copied from interface: `IUHFProtocolParse`
      获取循环盘点标签的发送数据
      Specified by:
        `getStartInventoryTagSendData` in interface `IUHFProtocolParse`
      Returns:
        发送的数据

    - #### parseStartInventoryTagData

          public boolean parseStartInventoryTagData(byte[] inData)

      Description copied from interface: `IUHFProtocolParse`
      解析开始盘点标签返回的数据
      Specified by:
        `parseStartInventoryTagData` in interface `IUHFProtocolParse`
      Returns:
        true:开始盘点成功，false:开始盘点失败

    - #### getStopInventorySendData

          public byte[] getStopInventorySendData()

      Description copied from interface: `IUHFProtocolParse`
      获取停止循环盘点标签的发送数据
      Specified by:
        `getStopInventorySendData` in interface `IUHFProtocolParse`
      Returns:
        发送的数据

    - #### parseStopInventoryData

          public boolean parseStopInventoryData(byte[] inData)

      Description copied from interface: `IUHFProtocolParse`
      解析停止盘点标签返回的数据
      Specified by:
        `parseStopInventoryData` in interface `IUHFProtocolParse`
      Returns:
        true:停止盘点成功，false:停止盘点失败

    - #### getReadTagSendData

          public byte[] getReadTagSendData()

      Description copied from interface: `IUHFProtocolParse`
      获取在循环盘点标签的模式中,读取缓存标签的发送数据
      Specified by:
        `getReadTagSendData` in interface `IUHFProtocolParse`
      Returns:
        发送的数据

    - #### parseReadTagData_EPC

          public java.util.List<UHFTAGInfo> parseReadTagData_EPC(byte[] inData)

      Description copied from interface: `IUHFProtocolParse`
      解析循环盘点标签返回的标签数据
      Specified by:
        `parseReadTagData_EPC` in interface `IUHFProtocolParse`
      Parameters:
        `inData` - 蓝牙返回的原始数据
      Returns:
        返回解析后的标签数据

    - #### parseReadTagDataEPC_TID_USER

          public java.util.List<UHFTAGInfo> parseReadTagDataEPC_TID_USER(UHFDataHandleBase.CMDInfo inData,
                                                                         TagInfoRule tagInfoRule)

    - #### setPowerSendData

          public byte[] setPowerSendData(int ant,
                                         int power)

    - #### setPowerSendData

          public byte[] setPowerSendData(int power)

      Description copied from interface: `IUHFProtocolParse`
      获取设置功率的发送数据
      Specified by:
        `setPowerSendData` in interface `IUHFProtocolParse`
      Parameters:
        `power` - 功率
      Returns:
        发送的数据

    - #### parseSetPowerData

          public boolean parseSetPowerData(byte[] inData)

      Description copied from interface: `IUHFProtocolParse`
      解析设置功率返回的数据
      Specified by:
        `parseSetPowerData` in interface `IUHFProtocolParse`
      Parameters:
        `inData` - 蓝牙返回的原始数据
      Returns:
        true:设置功率成功, flase:设置功率失败

    - #### getPowerSendData

          public byte[] getPowerSendData()

      Description copied from interface: `IUHFProtocolParse`
      获取功率的发送数据
      Specified by:
        `getPowerSendData` in interface `IUHFProtocolParse`
      Returns:
        发送的数据

    - #### parseGetPowerData

          public int parseGetPowerData(byte[] inData)

      Description copied from interface: `IUHFProtocolParse`
      解析获取功率返回的数据
      Specified by:
        `parseGetPowerData` in interface `IUHFProtocolParse`
      Parameters:
        `inData` - 蓝牙返回的原始数据
      Returns:
        返回功率

    - #### getVersionSendData

          public byte[] getVersionSendData()

      Specified by:
        `getVersionSendData` in interface `IUHFProtocolParse`
      Returns:

    - #### parseVersionData

          public java.lang.String parseVersionData(byte[] inData)

      Specified by:
        `parseVersionData` in interface `IUHFProtocolParse`
      Returns:

    - #### getTemperatureSendData

          public byte[] getTemperatureSendData()

      Description copied from interface: `IUHFProtocolParse`
      获取模块温度
      Specified by:
        `getTemperatureSendData` in interface `IUHFProtocolParse`
      Returns:

    - #### parseTemperatureData

          public int parseTemperatureData(byte[] inData)

      Description copied from interface: `IUHFProtocolParse`
      解析模块温度返回的数据
      Specified by:
        `parseTemperatureData` in interface `IUHFProtocolParse`
      Returns:

    - #### setEPCModeSendData

          public byte[] setEPCModeSendData()

      Specified by:
        `setEPCModeSendData` in interface `IUHFProtocolParse`

    - #### setInventoryMessageModeSendData

          public byte[] setInventoryMessageModeSendData()

    - #### parseSetEPCModeData

          public boolean parseSetEPCModeData(byte[] inData)

      Specified by:
        `parseSetEPCModeData` in interface `IUHFProtocolParse`

    - #### setEPCAndTIDModeSendData

          public byte[] setEPCAndTIDModeSendData()

      Specified by:
        `setEPCAndTIDModeSendData` in interface `IUHFProtocolParse`

    - #### parseSetEPCAndTIDModeData

          public boolean parseSetEPCAndTIDModeData(byte[] inData)

      Specified by:
        `parseSetEPCAndTIDModeData` in interface `IUHFProtocolParse`

    - #### setEPCAndTIDUserModeSendData

          public byte[] setEPCAndTIDUserModeSendData(int user_prt,
                                                     int user_len)

      Specified by:
        `setEPCAndTIDUserModeSendData` in interface `IUHFProtocolParse`

    - #### setEPCAndTIDUserModeSendData

          public byte[] setEPCAndTIDUserModeSendData(int mode,
                                                     int user_prt,
                                                     int user_len)

    - #### parseSetEPCAndTIDUserModeData

          public boolean parseSetEPCAndTIDUserModeData(byte[] inData)

      Specified by:
        `parseSetEPCAndTIDUserModeData` in interface `IUHFProtocolParse`

    - #### getEPCTIDModeSendData

          public byte[] getEPCTIDModeSendData(char rev1,
                                              char rev2)

      Specified by:
        `getEPCTIDModeSendData` in interface `IUHFProtocolParse`

    - #### parseGetEPCTIDModeData

          public byte[] parseGetEPCTIDModeData(byte[] inData)

      Specified by:
        `parseGetEPCTIDModeData` in interface `IUHFProtocolParse`

    - #### setFilterSendData

          public byte[] setFilterSendData(char ufBank,
                                          int ufPtr,
                                          int datalen,
                                          java.lang.String databuf)

      Specified by:
        `setFilterSendData` in interface `IUHFProtocolParse`

    - #### parseSetFilterData

          public boolean parseSetFilterData(byte[] inData)

      Specified by:
        `parseSetFilterData` in interface `IUHFProtocolParse`

    - #### getSTM32VersionSendData

          public byte[] getSTM32VersionSendData()

      Specified by:
        `getSTM32VersionSendData` in interface `IUHFProtocolParse`

    - #### parseSTM32VersionData

          public java.lang.String parseSTM32VersionData(byte[] inData)

      Specified by:
        `parseSTM32VersionData` in interface `IUHFProtocolParse`

    - #### setProtocolSendData

          public byte[] setProtocolSendData(int protocol)

      Description copied from interface: `IUHFProtocolParse`
      获取设置协议的发送数据
      Specified by:
        `setProtocolSendData` in interface `IUHFProtocolParse`
      Parameters:
        `protocol` - 0x00 表示 ISO18000-6C 协议, 0x01 表示 GB/T 29768 国标协议, 0x02 表示 GJB 7377.1 国军标协议
      Returns:
        发送的数据

    - #### parseSetProtocolData

          public boolean parseSetProtocolData(byte[] inData)

      Description copied from interface: `IUHFProtocolParse`
      解析设置协议返回的数据
      Specified by:
        `parseSetProtocolData` in interface `IUHFProtocolParse`
      Parameters:
        `inData` - 蓝牙返回的原始数据
      Returns:
        true:设置协议成功， false:设置协议失败

    - #### getProtocolSendData

          public byte[] getProtocolSendData()

      Description copied from interface: `IUHFProtocolParse`
      获取协议需要发送数据
      Specified by:
        `getProtocolSendData` in interface `IUHFProtocolParse`
      Returns:
        发送的数据

    - #### parseGetProtocolData

          public int parseGetProtocolData(byte[] inData)

      Description copied from interface: `IUHFProtocolParse`
      解析获取协议返回的数据
      Specified by:
        `parseGetProtocolData` in interface `IUHFProtocolParse`
      Parameters:
        `inData` - 蓝牙返回的原始数据
      Returns:
        true:获取协议成功， false:获取协议失败

    - #### getSetSoftResetSendData

          public byte[] getSetSoftResetSendData()

    - #### parseSetSoftResetData

          public boolean parseSetSoftResetData(byte[] inData)

    - #### getFrequencyModeSendData

          public byte[] getFrequencyModeSendData()

      Specified by:
        `getFrequencyModeSendData` in interface `IUHFProtocolParse`

    - #### parseGetFrequencyModeData

          public byte parseGetFrequencyModeData(byte[] inData)

      Specified by:
        `parseGetFrequencyModeData` in interface `IUHFProtocolParse`

    - #### setFrequencyModeSendData

          public byte[] setFrequencyModeSendData(int freMode)

      Specified by:
        `setFrequencyModeSendData` in interface `IUHFProtocolParse`

    - #### parseSetFrequencyModeData

          public boolean parseSetFrequencyModeData(byte[] inData)

      Specified by:
        `parseSetFrequencyModeData` in interface `IUHFProtocolParse`

    - #### setGen2SendData

          public byte[] setGen2SendData(char Target,
                                        char Action,
                                        char T,
                                        char Q_Q,
                                        char StartQ,
                                        char MinQ,
                                        char MaxQ,
                                        char D_D,
                                        char C_C,
                                        char P_P,
                                        char Sel,
                                        char Session,
                                        char G_G,
                                        char LF)

      Specified by:
        `setGen2SendData` in interface `IUHFProtocolParse`

    - #### parseSetGen2Data

          public boolean parseSetGen2Data(byte[] inData)

      Specified by:
        `parseSetGen2Data` in interface `IUHFProtocolParse`

    - #### getGen2SendData

          public byte[] getGen2SendData()

      Specified by:
        `getGen2SendData` in interface `IUHFProtocolParse`

    - #### parseGetGen2Data

          public byte[] parseGetGen2Data(byte[] inData)

      Specified by:
        `parseGetGen2Data` in interface `IUHFProtocolParse`

    - #### setRFLinkSendData

          public byte[] setRFLinkSendData(int mode)

      Specified by:
        `setRFLinkSendData` in interface `IUHFProtocolParse`

    - #### parseSetRFLinkData

          public boolean parseSetRFLinkData(byte[] inData)

      Specified by:
        `parseSetRFLinkData` in interface `IUHFProtocolParse`

    - #### getRFLinkSendData

          public byte[] getRFLinkSendData()

      Specified by:
        `getRFLinkSendData` in interface `IUHFProtocolParse`

    - #### parseGetRFLinkData

          public int parseGetRFLinkData(byte[] inData)

      Specified by:
        `parseGetRFLinkData` in interface `IUHFProtocolParse`

    - #### setFastIdSendData

          public byte[] setFastIdSendData(int flag)

      Specified by:
        `setFastIdSendData` in interface `IUHFProtocolParse`

    - #### parseFastIdData

          public boolean parseFastIdData(byte[] inData)

      Specified by:
        `parseFastIdData` in interface `IUHFProtocolParse`

    - #### getFastIDSendData

          public byte[] getFastIDSendData()

      Specified by:
        `getFastIDSendData` in interface `IUHFProtocolParse`

    - #### parseGetFastIdData

          public int parseGetFastIdData(byte[] inData)

      Specified by:
        `parseGetFastIdData` in interface `IUHFProtocolParse`

    - #### openLedSendData

          public byte[] openLedSendData()

      Specified by:
        `openLedSendData` in interface `IUHFProtocolParse`

    - #### closeLedSendData

          public byte[] closeLedSendData()

      Specified by:
        `closeLedSendData` in interface `IUHFProtocolParse`

    - #### blinkOfLedSendData

          public byte[] blinkOfLedSendData(int duration,
                                           int interval,
                                           int count)

      Specified by:
        `blinkOfLedSendData` in interface `IUHFProtocolParse`

    - #### parseOpenLedData

          public boolean parseOpenLedData(byte[] inData)

      Specified by:
        `parseOpenLedData` in interface `IUHFProtocolParse`

    - #### parseCloseLedData

          public boolean parseCloseLedData(byte[] inData)

      Specified by:
        `parseCloseLedData` in interface `IUHFProtocolParse`

    - #### parseBlinkOfLedData

          public boolean parseBlinkOfLedData(byte[] inData)

      Specified by:
        `parseBlinkOfLedData` in interface `IUHFProtocolParse`

    - #### blockWriteDataSendData

          public byte[] blockWriteDataSendData(java.lang.String accessPwd,
                                               char filterBank,
                                               int filterPtr,
                                               int filterCnt,
                                               java.lang.String filterData,
                                               char bank,
                                               int ptr,
                                               char cnt,
                                               java.lang.String writeData)

      Specified by:
        `blockWriteDataSendData` in interface `IUHFProtocolParse`

    - #### parseBlockWriteData

          public boolean parseBlockWriteData(byte[] inData)

      Specified by:
        `parseBlockWriteData` in interface `IUHFProtocolParse`

    - #### blockEraseDataSendData

          public byte[] blockEraseDataSendData(java.lang.String accessPwd,
                                               char filterBank,
                                               int filterPtr,
                                               int filterCnt,
                                               java.lang.String filterData,
                                               char bank,
                                               int ptr,
                                               char cnt)

      Specified by:
        `blockEraseDataSendData` in interface `IUHFProtocolParse`

    - #### parseBlockEraseDataData

          public boolean parseBlockEraseDataData(byte[] inData)

      Specified by:
        `parseBlockEraseDataData` in interface `IUHFProtocolParse`

    - #### GBTagLockSendData

          public byte[] GBTagLockSendData(java.lang.String pszuAccessPwd,
                                          char ufBank,
                                          int ufPtr,
                                          int ufCnt,
                                          java.lang.String ufData,
                                          char jmemory,
                                          char jconfig,
                                          char jaction)

      Specified by:
        `GBTagLockSendData` in interface `IUHFProtocolParse`

    - #### parseGBTagLockData

          public boolean parseGBTagLockData(byte[] inData)

      Specified by:
        `parseGBTagLockData` in interface `IUHFProtocolParse`

    - #### setCWSendData

          public byte[] setCWSendData(char flag)

      Specified by:
        `setCWSendData` in interface `IUHFProtocolParse`

    - #### parseSetCWData

          public boolean parseSetCWData(byte[] inData)

      Specified by:
        `parseSetCWData` in interface `IUHFProtocolParse`

    - #### getCWSendData

          public byte[] getCWSendData()

      Specified by:
        `getCWSendData` in interface `IUHFProtocolParse`

    - #### parseGetCWData

          public int parseGetCWData(byte[] inData)

      Specified by:
        `parseGetCWData` in interface `IUHFProtocolParse`

    - #### setJumpFrequencySendData

          public byte[] setJumpFrequencySendData(int Freqbuf)

      Specified by:
        `setJumpFrequencySendData` in interface `IUHFProtocolParse`

    - #### parseSetJumpFrequencyData

          public boolean parseSetJumpFrequencyData(byte[] inData)

      Specified by:
        `parseSetJumpFrequencyData` in interface `IUHFProtocolParse`

    - #### btDeleteAllTagToFlashSendData

          public byte[] btDeleteAllTagToFlashSendData()

      Specified by:
        `btDeleteAllTagToFlashSendData` in interface `IUHFProtocolParse`

    - #### parseBtDeleteAllTagToFlashData

          public boolean parseBtDeleteAllTagToFlashData(byte[] inData)

      Specified by:
        `parseBtDeleteAllTagToFlashData` in interface `IUHFProtocolParse`

    - #### btGetAllTagNumFromFlashSendData

          public byte[] btGetAllTagNumFromFlashSendData()

      Specified by:
        `btGetAllTagNumFromFlashSendData` in interface `IUHFProtocolParse`

    - #### btGetNewTagNumFromFlashSendData

          public byte[] btGetNewTagNumFromFlashSendData()

      Specified by:
        `btGetNewTagNumFromFlashSendData` in interface `IUHFProtocolParse`

    - #### parseBtGetAllTagNumFromFlashData

          public int parseBtGetAllTagNumFromFlashData(byte[] inData)

      Specified by:
        `parseBtGetAllTagNumFromFlashData` in interface `IUHFProtocolParse`

    - #### parseBtGetNewTagNumFromFlashData

          public int parseBtGetNewTagNumFromFlashData(byte[] indata)

      Specified by:
        `parseBtGetNewTagNumFromFlashData` in interface `IUHFProtocolParse`

    - #### btGetTagDataFromFlashSendData

          public byte[] btGetTagDataFromFlashSendData()

      Specified by:
        `btGetTagDataFromFlashSendData` in interface `IUHFProtocolParse`

    - #### parseBtGetTagDataFromFlashData

          public byte[] parseBtGetTagDataFromFlashData(byte[] inData)

      Specified by:
        `parseBtGetTagDataFromFlashData` in interface `IUHFProtocolParse`

    - #### setR6WorkmodeSendData

          public byte[] setR6WorkmodeSendData(char flag)

      Specified by:
        `setR6WorkmodeSendData` in interface `IUHFProtocolParse`

    - #### parseSetR6WorkModeData

          public boolean parseSetR6WorkModeData(byte[] inData)

      Specified by:
        `parseSetR6WorkModeData` in interface `IUHFProtocolParse`

    - #### uhfJump2BootSendData

          public byte[] uhfJump2BootSendData(char flag)

      Specified by:
        `uhfJump2BootSendData` in interface `IUHFProtocolParse`

    - #### parseUHFJump2BootData

          public boolean parseUHFJump2BootData(byte[] inData)

      Specified by:
        `parseUHFJump2BootData` in interface `IUHFProtocolParse`

    - #### uhfStartUpdateSendData

          public byte[] uhfStartUpdateSendData()

      Specified by:
        `uhfStartUpdateSendData` in interface `IUHFProtocolParse`

    - #### parseUHFStartUpdateData

          public boolean parseUHFStartUpdateData(byte[] inData)

      Specified by:
        `parseUHFStartUpdateData` in interface `IUHFProtocolParse`

    - #### uhfUpdatingSendData

          public byte[] uhfUpdatingSendData(byte[] buf)

      Specified by:
        `uhfUpdatingSendData` in interface `IUHFProtocolParse`

    - #### parseUHFUpdatingData

          public boolean parseUHFUpdatingData(byte[] inData)

      Specified by:
        `parseUHFUpdatingData` in interface `IUHFProtocolParse`

    - #### UHFStopUpdateSendData

          public byte[] UHFStopUpdateSendData()

      Specified by:
        `UHFStopUpdateSendData` in interface `IUHFProtocolParse`

    - #### parseUHFStopUpdateData

          public boolean parseUHFStopUpdateData(byte[] inData)

      Specified by:
        `parseUHFStopUpdateData` in interface `IUHFProtocolParse`

    - #### setReaderAwaitSleepTimeSendData

          public byte[] setReaderAwaitSleepTimeSendData(char time)

      Specified by:
        `setReaderAwaitSleepTimeSendData` in interface `IUHFProtocolParse`

    - #### parseSetReaderAwaitSleepTimeData

          public boolean parseSetReaderAwaitSleepTimeData(byte[] inData)

      Specified by:
        `parseSetReaderAwaitSleepTimeData` in interface `IUHFProtocolParse`

    - #### getReaderAwaitSleepTimeSendData

          public byte[] getReaderAwaitSleepTimeSendData()

      Specified by:
        `getReaderAwaitSleepTimeSendData` in interface `IUHFProtocolParse`

    - #### parseGetReaderAwaitSleepTimeData

          public int parseGetReaderAwaitSleepTimeData(byte[] inData)

      Specified by:
        `parseGetReaderAwaitSleepTimeData` in interface `IUHFProtocolParse`

    - #### setTagfocusSendData

          public byte[] setTagfocusSendData(char flag)

      Specified by:
        `setTagfocusSendData` in interface `IUHFProtocolParse`

    - #### parseSetTagfocusData

          public boolean parseSetTagfocusData(byte[] inData)

      Specified by:
        `parseSetTagfocusData` in interface `IUHFProtocolParse`

    - #### getTagfocusSendData

          public byte[] getTagfocusSendData()

      Specified by:
        `getTagfocusSendData` in interface `IUHFProtocolParse`

    - #### parseGetTagfocusData

          public int parseGetTagfocusData(byte[] inData)

      Specified by:
        `parseGetTagfocusData` in interface `IUHFProtocolParse`

    - #### setPowerOnDynamicSendData

          public byte[] setPowerOnDynamicSendData(int power)

      Specified by:
        `setPowerOnDynamicSendData` in interface `IUHFProtocolParse`

    - #### parseSetPowerOnDynamicData

          public boolean parseSetPowerOnDynamicData(byte[] inData)

      Specified by:
        `parseSetPowerOnDynamicData` in interface `IUHFProtocolParse`

    - #### requestSetFastInventoryMode

          public byte[] requestSetFastInventoryMode(boolean enable)

      Specified by:
        `requestSetFastInventoryMode` in interface `IUHFProtocolParse`

    - #### responseSetFastInventoryMode

          public boolean responseSetFastInventoryMode(byte[] data)

      Specified by:
        `responseSetFastInventoryMode` in interface `IUHFProtocolParse`

    - #### requestGetFastInventoryMode

          public byte[] requestGetFastInventoryMode()

      Specified by:
        `requestGetFastInventoryMode` in interface `IUHFProtocolParse`

    - #### responseGetFastInventoryMode

          public int responseGetFastInventoryMode(byte[] data)

      Specified by:
        `responseGetFastInventoryMode` in interface `IUHFProtocolParse`

    - #### requestGetEx10SDKFirmware

          public byte[] requestGetEx10SDKFirmware()

      Specified by:
        `requestGetEx10SDKFirmware` in interface `IUHFProtocolParse`

    - #### responseGetEx10SDKFirmware

          public java.lang.String responseGetEx10SDKFirmware(byte[] data)

      Specified by:
        `responseGetEx10SDKFirmware` in interface `IUHFProtocolParse`

    - #### requestInventoryTempTag

          public byte[] requestInventoryTempTag(byte[] powerValue)

    - #### makeSendData

          public byte[] makeSendData(int cmd,
                                     byte[] databuf)

    - #### parserUhfTagBuff_EPC_TID_USER

          public UHFTAGInfo parserUhfTagBuff_EPC_TID_USER(byte[] tagsBuff,
                                                          boolean isContainAnt)

    - #### parserUhfTagBuff_EPC_TID_USER

          public static UHFTAGInfo parserUhfTagBuff_EPC_TID_USER(byte[] tagsBuff,
                                                                 TagInfoRule tagInfoRule)

    - #### parseGetPowerAllData

          public java.util.List<AntennaPowerEntity> parseGetPowerAllData(byte[] inData)

    - #### setIndexData

          public byte[] setIndexData(byte[] index)

    - #### setUserSettingSendData

          public byte[] setUserSettingSendData(byte key,
                                               byte[] value)

    - #### parseSetUserSettingData

          public boolean parseSetUserSettingData(byte[] inData)

    - #### getUserSettingSendData

          public byte[] getUserSettingSendData(byte key)

    - #### parseGetUserSettingData

          public byte[] parseGetUserSettingData(byte[] inData)